/*******************************************************************************
 * Copyright 2018 fmCreation
 *  
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 * 
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 * 
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/

package de.frankmuenster.hibiscus.mahoe.aktien.assistant;

import org.apache.commons.lang.StringUtils;
import org.eclipse.swt.widgets.Composite;

import de.frankmuenster.hibiscus.mahoe.assistant.AbstractCreateAccountDialog;
import de.frankmuenster.hibiscus.mahoe.assistant.CreateInfo;
import de.frankmuenster.hibiscus.mahoe.utils.I18N;

/**
 * Dialog zum Abfragen der MahoeMain Kreditkarteninformationen
 *
 * @author Frank Mnster
 */
public class AktienCreateAccountDialog extends AbstractCreateAccountDialog<AktienCreateInfo> {

    /**
     */
    public AktienCreateAccountDialog() {
        super();
        this.setTitle(I18N.tr("AktienCreateAccountDialog.dialogTitle")); //$NON-NLS-1$
    }

    /**
     * @see de.willuhn.jameica.gui.dialogs.AbstractDialog#paint(org.eclipse.swt.widgets.Composite)
     */
    @Override
    protected void paint(final Composite parent) {

        super.paint(parent);
        this.accDescription.setHint("Wertpapier-Konto"); //$NON-NLS-1$
    }

    /**
     * @see de.willuhn.jameica.gui.dialogs.AbstractDialog#getData()
     */
    @Override
    protected AktienCreateInfo getData() {

        final CreateInfo info = super.getData();
        this.data.setOwner(info.getOwner());
        this.data.setComment(info.getComment());
        this.data.setDescription(StringUtils.isEmpty(info.getDescription()) ? "Wertpapier-Konto" //$NON-NLS-1$
                : info.getDescription());
        return this.data;
    }

    /**
     * @see de.frankmuenster.hibiscus.mahoe.assistant.AbstractCreateAccountDialog#prepareData()
     */
    @Override
    protected boolean prepareData() {

        this.data = new AktienCreateInfo();
        this.data.setSavePDF(false);
        this.data.setSaveFolder(StringUtils.EMPTY);
        // TODO DatenCheck einbauen
        return true;
    }
}
