/*******************************************************************************
 * Copyright 2018 fmCreation
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/

package de.frankmuenster.hibiscus.mahoe.assistant;

import de.willuhn.jameica.hbci.rmi.KontoType;

/**
 * Bentigte Informationen zum Erstellen eines Kontos
 *
 * @author Frank Mnster
 */
public class CreateInfo {

    /**
     * Immer nach Dateinamen fragen
     */
    private boolean alwaysAskFileName;

    /**
     * Der Kommentar
     */
    private String comment;

    /**
     * Die Bezeichnung
     */
    private String description;

    /**
     * Max. Anzahl an Nachfragen beim Kontoauszug speichern
     */
    private int maxAskCount;

    /**
     * Die Kontoinhaber
     */
    private String owner;

    /**
     * Kontoauszge speichern
     */
    private String saveFolder;

    /**
     * Speicherordner
     */
    private boolean savePDF;

    /**
     * Kontotyp
     */
    private KontoType accountType;

    /**
     * Default constructor. Sets account type to GIRO
     */
    public CreateInfo() {
        this.accountType = KontoType.GIRO;
    }

    /**
     * @return the comment
     */
    public String getComment() {

        return this.comment;
    }

    /**
     * @return the description
     */
    public String getDescription() {

        return this.description;
    }

    /**
     * @return the maxAskCount
     */
    public int getMaxAskCount() {

        return this.maxAskCount;
    }

    /**
     * @return the owner
     */
    public String getOwner() {

        return this.owner;
    }

    /**
     * @return the saveFolder
     */
    public String getSaveFolder() {

        return this.saveFolder;
    }

    /**
     * @return the alwaysAskFileName
     */
    public boolean isAlwaysAskFileName() {

        return this.alwaysAskFileName;
    }

    /**
     * @return the savePDF
     */
    public boolean isSavePDF() {

        return this.savePDF;
    }

    /**
     * @param alwaysAskFileName
     *            the alwaysAskFileName to set
     */
    public void setAlwaysAskFileName(final Boolean alwaysAskFileName) {

        this.alwaysAskFileName = alwaysAskFileName;
    }

    /**
     * @param comment
     *            the comment to set
     */
    public void setComment(final String comment) {

        this.comment = comment;
    }

    /**
     * @param description
     *            the description to set
     */
    public void setDescription(final String description) {

        this.description = description;
    }

    /**
     * @param maxAskCount
     *            the maxAskCount to set
     */
    public void setMaxAskCount(final int maxAskCount) {

        this.maxAskCount = maxAskCount;
    }

    /**
     * @param owner
     *            the owner to set
     */
    public void setOwner(final String owner) {

        this.owner = owner;
    }

    /**
     * @param saveFolder
     *            the saveFolder to set
     */
    public void setSaveFolder(final String saveFolder) {

        this.saveFolder = saveFolder;
    }

    /**
     * @param savePDF
     *            the savePDF to set
     */
    public void setSavePDF(final boolean savePDF) {

        this.savePDF = savePDF;
    }

    /**
     * @return the accountType
     */
    public KontoType getAccountType() {

        return this.accountType;
    }

    /**
     * @param accountType
     *            the accountType to set
     */
    public void setAccountType(final KontoType accountType) {

        this.accountType = accountType;
    }
}
