/*******************************************************************************
 * Copyright 2015 - 2018 fmCreation
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/

package de.frankmuenster.hibiscus.mahoe.bcee.assistant;

import java.rmi.RemoteException;

import org.apache.commons.lang.StringUtils;

import de.frankmuenster.hibiscus.mahoe.assistant.AbstractCreateAccountAssistant;
import de.frankmuenster.hibiscus.mahoe.bcee.Bcee;
import de.willuhn.jameica.hbci.rmi.Konto;
import de.willuhn.util.ApplicationException;

/**
 * BCEE Konto-Anlagen-Assistent
 *
 * @author Frank Mnster
 */
public final class BceeCreateAccountAssistent
        extends AbstractCreateAccountAssistant<BceeCreateInfo, BceeCreateAccountDialog> {

    /**
     * Standardkonstruktor
     */
    public BceeCreateAccountAssistent() {

        super();
    }

    /**
     * @see AbstractCreateAccountAssistant#getDialog()
     */
    @Override
    public BceeCreateAccountDialog getDialog() {

        return new BceeCreateAccountDialog();
    }

    /**
     * @see AbstractCreateAccountAssistant#setBankSpecificMetaData(de.frankmuenster.hibiscus.mahoe.assistant.CreateInfo,
     *      Konto)
     */
    @Override
    public void setBankSpecificMetaData(final BceeCreateInfo info, final Konto konto)
            throws RemoteException, ApplicationException {
        // Nothing to do here

    }

    @Override
    protected void setBankSpecificAccountParameter(final Konto account, final BceeCreateInfo info)
            throws RemoteException {

        account.setBLZ(Bcee.BLZ);
        account.setKontonummer(info.getIban().substring(info.getIban().length() - 8));
        account.setKundennummer(info.getLuxTrustId());

        account.setIban(info.getIban());
        account.setBic(Bcee.BIC);
        account.setUnterkonto(StringUtils.EMPTY);

        // Maybe not needed
        // konto.setAccountType(KontoType.GIRO.getValue())

    }

}
