
package de.frankmuenster.hibiscus.mahoe.bcee.web;

import de.frankmuenster.hibiscus.mahoe.web.AbstractWebAccountInformation;
import de.willuhn.util.ApplicationException;
import de.willuhn.util.ProgressMonitor;

/**
 * BCEE spezifisch Kontoinformationen
 *
 * @author Frank Mnster
 */
public class BceeWebAccountInformation extends AbstractWebAccountInformation {

    /**
     * Der Betrag der Kreditlinie
     */
    private Double creditLimit;

    /**
     * Currency
     */
    private String currency;

    /**
     * Sollzinssatz der Kreditlinie
     */
    private Double interestRate;

    /**
     * Standardkonstruktor
     */
    public BceeWebAccountInformation() {
        super();
    }

    /**
     * @return the creditLimit
     */
    public Double getCreditLimit() {

        return this.creditLimit;
    }

    /**
     * @return the currency
     */
    public String getCurrency() {

        return this.currency;
    }

    /**
     * @return the interestRate
     */
    public Double getInterestRate() {

        return this.interestRate;
    }

    /**
     * @param creditLimit
     *            the creditLimit to set
     */
    public void setCreditLimit(final Double creditLimit) {

        this.creditLimit = creditLimit;
        // Verfgbarer Betrag aktualisieren
        if (this.getSaldo() != null) {
            final double available = Math.max(0.0d, this.getSaldo() + creditLimit);
            this.setSaldoAvailable(available);
        }

    }

    /**
     * @param currency
     *            the currency to set
     */
    public void setCurrency(final String currency) {

        this.currency = currency;
    }

    /**
     * @param interestRate
     *            the interestRate to set
     */
    public void setInterestRate(final double interestRate) {

        this.interestRate = interestRate;
    }

    /**
     * @see AbstractWebAccountInformation#saveInformationInAccount(ProgressMonitor)
     */
    @Override
    protected void saveBankSpecificInfo(final ProgressMonitor monitor) throws ApplicationException {

        // Fr BCEE ist hier nix zutun
    }

}
