
package de.frankmuenster.hibiscus.mahoe.bsh.assistant;

import de.frankmuenster.hibiscus.mahoe.assistant.CreateInfo;
import de.frankmuenster.hibiscus.mahoe.bsh.SchwaebischHall;
import de.frankmuenster.hibiscus.mahoe.bsh.json.Account;

/**
 * Bentigte Informationen zum Erstellen eines Bsh Kontos
 *
 * @author Frank Mnster
 */
public class BshCreateInfo extends CreateInfo {

    /**
     * Account JSON
     */
    private Account account;

    /**
     * Ask always Passwort
     */
    private boolean alwaysAskForPW;

    /**
     * Kundennummer
     */
    private String kdNummer;

    /**
     * Standardkonstruktor
     */
    public BshCreateInfo() {
        super();
    }

    /**
     * @return das Account-Object
     */
    public Account getAccount() {

        return this.account;
    }

    /**
     * @return the blz
     */
    public String getBlzDz() {

        return SchwaebischHall.BLZ_DZ;
    }

    /**
     * @return the bsn
     */
    public String getBsn() {

        return this.account.getBsn();
    }

    /**
     * @return die Hauptnummer des Vertrages
     */
    public String getCoreId() {

        return this.account.getCoreId();
    }

    /**
     * @return the kdNummer
     */
    public String getKdNummer() {

        return this.kdNummer;
    }

    /**
     * @return coreId+Buchstabe+Nummer
     */
    public String getLetterNumber() {

        return this.account.getContractLetter() + this.account.getContractNumber();
    }

    /**
     * @return the vtn
     */
    public String getVtn() {

        return this.account.getVtn();
    }

    /**
     * @return the alwaysAskForPW
     */
    public boolean isAlwaysAskForPW() {

        return this.alwaysAskForPW;
    }

    /**
     * @param account
     *            the account to set
     */
    public void setAccount(final Account account) {

        this.account = account;
    }

    /**
     * @param alwaysAskForPW
     *            the alwaysAskForPW to set
     */
    public void setAlwaysAskForPW(final boolean alwaysAskForPW) {

        this.alwaysAskForPW = alwaysAskForPW;
    }

    /**
     * @param kdNummer
     *            the kdNummer to set
     */
    public void setKdNummer(final String kdNummer) {

        this.kdNummer = kdNummer;
    }

}
