
package de.frankmuenster.hibiscus.mahoe.bsh.json;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

import de.frankmuenster.hibiscus.mahoe.bsh.json.accountdetails.AccountDetailData;

/**
 * JSON Antwort der Vertagsdetails-Anfrage
 *
 * @author Frank Mnster
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class AccountDetailsResponse extends BshResponse implements IBshResponse {

    /**
     * Die Vertragsdetails
     */
    @JsonProperty("data")
    private AccountDetailData accountDetails;

    /**
     * Standardkonstruktor
     */
    public AccountDetailsResponse() {
	super();
    }

    /**
     * Liefert die Vertragsdetails
     *
     * @return die Vertragsdetails
     */
    @JsonProperty("data")
    public AccountDetailData getAccountDetails() {

	return this.accountDetails;
    }
}
