
package de.frankmuenster.hibiscus.mahoe.bsh.json;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;

import de.frankmuenster.hibiscus.mahoe.bsh.json.deserializer.StatusDeserializer;

/**
 * Abstrakte Klassen f&uumlr alle BSH JSON-Antworten mit Status und Error
 *
 * @author Frank Mnster
 */
public class BshResponse implements IBshResponse {

    /**
     * Status
     */
    @JsonProperty
    @JsonDeserialize(using = StatusDeserializer.class)
    private Status status;

    /**
     * Fehlers
     */
    @JsonProperty("errors")
    private List<Error> errors;

    /**
     * Standardkonstruktor
     */
    public BshResponse() {
	// Absichtlich leer
    }

    /**
     * Liste mit Fehler, falls vorhanden.
     *
     * @return Liste mit Fehler, falls vorhanden.
     */
    @JsonProperty("errors")
    public List<Error> getErrors() {

	return this.errors;
    }

    /**
     * @see IBshResponse#getStatus()
     */
    @Override
    public Status getStatus() {

	return this.status;
    }

}
