
package de.frankmuenster.hibiscus.mahoe.bsh.json;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;

/**
 * Die Benutzerdetails
 *
 * @author Frank Mnster
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({ "changePassword", "addUsername", "confirmTermsOfUse" })
public class LoginDetails {

    /**
     * Passwortwechsel notwendig
     */
    @JsonProperty("changePassword")
    private Boolean changePassword;

    /**
     * ???
     */
    @JsonProperty("addUsername")
    private Boolean addUsername;

    /**
     * Benutzungsbedingungen akzeptiert
     */
    @JsonProperty("confirmTermsOfUse")
    private Boolean confirmTermsOfUse;

    /**
     * Standardkonstruktor
     */
    public LoginDetails() {
	// Absichtlich leer
    }

    /**
     * ???
     *
     * @return <i>true</i>, wenn ???, sonst <i>false</i>
     */
    @JsonProperty("addUsername")
    public Boolean getAddUsername() {

	return this.addUsername;
    }

    /**
     * Muss das Passwort gewechselt werden.
     *
     * @return <i>true</i>, wenn das Passwort gewechselt werden muss, sonst
     *         <i>false</i>
     */
    @JsonProperty("changePassword")
    public Boolean getChangePassword() {

	return this.changePassword;
    }

    /**
     * Benutzungsbedingungen bereits akzeptiert.
     *
     * @return <i>true</i>, wenn die Benutzungsbedingungen bereits akzeptiert
     *         wurden, sonst <i>false</i>
     */
    @JsonProperty("confirmTermsOfUse")
    public Boolean getConfirmTermsOfUse() {

	return this.confirmTermsOfUse;
    }

}
