
package de.frankmuenster.hibiscus.mahoe.bsh.json;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * Antwort der Login REST Anfrage
 *
 * @author Frank Mnster/Quirin Huber
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class LoginResponse extends BshResponse implements IBshResponse {

    /**
     * Details
     */
    @JsonProperty("data")
    private LoginDetails details;

    /**
     * Standardkonstruktor
     */
    public LoginResponse() {
	super();
    }

    /**
     * Logindetails
     *
     * @return die Logindetails des Benutzers.
     */
    public LoginDetails getDetails() {

	return this.details;
    }
}
