
package de.frankmuenster.hibiscus.mahoe.bsh.json;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * Antwort der Neue-Nachrichten-Abfrage
 *
 * @author Frank Mnster
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class MessageCountResponse extends BshResponse implements IBshResponse {

    /**
     * Details
     */
    @JsonProperty("data")
    private Count count;

    /**
     * Standardkonstruktor
     */
    public MessageCountResponse() {
	super();
    }

    /**
     * Liefert die Anzahl an neuen Nachrichten.
     *
     * @return die Anzahl an neuen Nachrichten.
     */
    public Count getMsgCount() {

	return this.count;
    }

    /**
     * JSON Count Object (Nachrichten)
     *
     * @author Frank Mnster
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    public class Count {

	/**
	 * Anzahl neue Nachrichten
	 */
	@JsonProperty("count")
	private Integer msgCount;

	/**
	 * Standardkonstruktor
	 */
	public Count() {
	    // Absichtlich leer
	}

	/**
	 * Liefert die Anzahl an neuen Nachrichten.
	 *
	 * @return die Anzahl an neuen Nachrichten
	 */
	@JsonProperty("count")
	public Integer getCount() {

	    return this.msgCount;
	}
    }
}
