package de.frankmuenster.hibiscus.mahoe.gui.input;

import org.eclipse.swt.graphics.Font;
import org.eclipse.swt.graphics.FontData;
import org.eclipse.swt.widgets.Control;

import de.frankmuenster.hibiscus.mahoe.gui.utils.SWTFontUtils;
import de.willuhn.jameica.gui.GUI;
import de.willuhn.jameica.gui.input.TextAreaInput;
import de.willuhn.logging.Logger;

/**
 * @author Frank Mnster
 */
public class TextAreaInputEnhanced extends TextAreaInput {

    /**
     * Der Font
     */
    private Font font;

    /**
     * Standardkonstruktor
     *
     * @param value
     */
    public TextAreaInputEnhanced(final String value) {
        super(value);
        // Absichtlich leer
    }

    /**
     * Standardkonstruktor
     *
     * @param value
     * @param maxLength
     */
    public TextAreaInputEnhanced(final String value, final int maxLength) {
        super(value, maxLength);
        // Absichtlich leer
    }

    /**
     * @see de.willuhn.jameica.gui.input.TextInput#getControl()
     */
    @Override
    public Control getControl() {

        super.getControl();
        if (this.font == null) {
            // set font
            this.font = GUI.getDisplay().getSystemFont();
            try {
                this.font = SWTFontUtils.getMonospacedFont();
            } catch (AssertionError | RuntimeException ex) { // NOPMD
                Logger.warn("MonospacedFontNotFound"); //$NON-NLS-1$
            }
            final FontData fontData = this.font.getFontData()[0];
            fontData.setHeight(8);
            this.font = new Font(GUI.getDisplay(), fontData);
        }
        this.text.setFont(this.font);
        return this.text;
    }

    /**
     * Setzt den Font
     *
     * @param font
     */
    public void setFont(final Font font) {

        this.font = font;
    }

    /**
     * Liefert den Font
     *
     * @return der aktuell gesetzte Font
     */
    public Font getFont() {

        return this.font;
    }
}
