package de.frankmuenster.hibiscus.mahoe.gui.parts;

import java.rmi.RemoteException;

import org.eclipse.swt.widgets.Composite;

import de.frankmuenster.hibiscus.mahoe.gui.controller.BshSettingsController;
import de.frankmuenster.hibiscus.mahoe.utils.I18N;
import de.willuhn.jameica.gui.Part;
import de.willuhn.jameica.gui.util.ColumnLayout;
import de.willuhn.jameica.gui.util.SimpleContainer;

/**
 * @author Frank Mnster
 */
public class BshSettingsPart implements Part {

    /**
     * Unser Kontroller
     */
    private final transient BshSettingsController control;

    /**
     * Erstellt ein SantanderSetting Part mit allen Einstellungsmglichkeiten
     * der Santander Bank
     *
     * @param control
     *            der SantanderSettingsController
     */
    public BshSettingsPart(final BshSettingsController control) {
	this.control = control;
    }

    /**
     * @see de.willuhn.jameica.gui.Part#paint(org.eclipse.swt.widgets.Composite)
     */
    @Override
    public void paint(final Composite parent) throws RemoteException {

	final ColumnLayout colMain = new ColumnLayout(parent, 2);
	final SimpleContainer header = new SimpleContainer(colMain.getComposite());
	header.addHeadline(I18N.tr("BshSettingsPart.accountSettingsHeadLine")); //$NON-NLS-1$
	header.addLabelPair(I18N.tr("BshSettingsPart.accountLbl"), this.control.getKonto()); //$NON-NLS-1$
	final ColumnLayout clContent = new ColumnLayout(parent, 2);
	final SimpleContainer left = new SimpleContainer(clContent.getComposite());
	left.addLabelPair(I18N.tr("BshSettingsPart.alwaysAskPassword"), this.control.getAlwaysAskForPW()); //$NON-NLS-1$
    }
}
