
package de.frankmuenster.hibiscus.mahoe.gui.utils;

import de.frankmuenster.hibiscus.mahoe.gui.controller.SettingsController;
import de.willuhn.jameica.hbci.rmi.Konto;

/**
 * Interface einer Settings TabGroup
 *
 * @author Frank Mnster
 * @param <C>
 *            Der implemtierungsspecifische SettingsController
 */
public interface SettingsTabGroup<C extends SettingsController> {

    /**
     * Liefert den zum Tab geh&ouml;renden Kontroller
     *
     * @return der Tab-Kontroller
     */
    C getController();

    /**
     * Liefert den zu ffnende Konto oder NULL, wenn nicht sausgew&auml;hlt ist.
     *
     * @return das ausgw&auml;hlte Konto oder NULL
     */
    Konto getAccount();

}
