
package de.frankmuenster.hibiscus.mahoe.gui.views;

import java.rmi.RemoteException;

import de.frankmuenster.hibiscus.mahoe.gui.controller.LicenseController;
import de.frankmuenster.hibiscus.mahoe.utils.I18N;
import de.willuhn.jameica.gui.AbstractView;
import de.willuhn.jameica.gui.GUI;
import de.willuhn.jameica.gui.Part;
import de.willuhn.util.ApplicationException;

/**
 * View die Lizenz-Informationen anzeigt Basiert auf der LicenseView aus dem
 * Hibiscus-Plugin von Olaf Willuhn
 *
 * @author willuhn / Frank Mnster
 * @version 1.0
 */
public class LicenseView extends AbstractView {

    /**
     * Unser Kontrolleur
     */
    private transient LicenseController ctrl;

    /**
     * 
     */
    public LicenseView() {
        super();
    }

    /**
     * @see de.willuhn.jameica.gui.AbstractView#bind()
     */
    @Override
    public void bind() throws RemoteException {

        GUI.getView().setTitle(I18N.tr("LicenseView.viewTitle")); //$NON-NLS-1$

        this.ctrl = new LicenseController(this);

        final Part lib = this.ctrl.getLibList();
        lib.paint(this.getParent());
    }

    /**
     * @see de.willuhn.jameica.gui.AbstractView#unbind()
     */
    @Override
    public void unbind() throws ApplicationException {

        super.unbind();
        this.ctrl = null; // NOPMD
    }

}
