package de.frankmuenster.hibiscus.mahoe.pdfextractor;

import java.math.BigDecimal;
import java.util.Date;

import org.apache.commons.lang.StringUtils;

/**
 * Buchungen aus PDFs. Dient als Zwischenschritt zum Anlegen der endgltigen
 * Ums&auml;tze in Hibiscus.
 *
 * @author Frank Mnster
 */
@SuppressWarnings("PMD.LongVariable")
public class PdfBuchung {

    /**
     * Amount
     */
    private BigDecimal betrag;

    /**
     * the effective date of the entry
     */
    private Date buchungsDatum;

    /**
     * foreign currency
     */
    private String fremdWaehrung;

    /**
     * Amount in foreign currency
     */
    private BigDecimal fremdWaehrungsBetrag;

    /**
     * the date of the acquisition
     */
    private Date kaufDatum;

    /**
     * Exchange rate
     */
    private BigDecimal kurs;

    /**
     * Saldo of the entry
     */
    private BigDecimal saldo;

    /**
     * Purpose of the entry
     */
    private String zweck;

    /**
     * Standardkonstruktor
     */
    public PdfBuchung() {
        // Absichtlich leer
    }

    /**
     * @return the betrag
     */

    public BigDecimal getBetrag() {

        return this.betrag;
    }

    /**
     * @return the buchungsDaten
     */
    public Date getBuchungsDatum() {

        return this.buchungsDatum;
    }

    /**
     * @return the fremdWaehrung
     */
    public String getFremdWaehrung() {

        return this.fremdWaehrung;
    }

    /**
     * @return the fremdWaehrungsBetrag
     */
    public BigDecimal getFremdWaehrungsBetrag() {

        return this.fremdWaehrungsBetrag;
    }

    /**
     * @return the kaufDatum
     */
    public Date getKaufDatum() {

        return this.kaufDatum;
    }

    /**
     * @return the kurs
     */
    public BigDecimal getKurs() {

        return this.kurs;
    }

    /**
     * @return the saldo
     */
    public BigDecimal getSaldo() {

        return this.saldo;
    }

    /**
     * @return the zweck
     */
    public String getZweck() {

        return this.zweck == null ? StringUtils.EMPTY : this.zweck;
    }

    /**
     * @param betrag
     *            the betrag to set
     */
    public void setBetrag(final BigDecimal betrag) {

        this.betrag = betrag;
    }

    /**
     * @param buchungsDatum
     *            the buchungsDatum to set
     */
    public void setBuchungsDatum(final Date buchungsDatum) {

        this.buchungsDatum = buchungsDatum;
    }

    /**
     * @param fremdWaehrung
     *            the fremdWaehrung to set
     */
    public void setFremdWaehrung(final String fremdWaehrung) {

        this.fremdWaehrung = fremdWaehrung;
    }

    /**
     * @param fremdWaehrungsBetrag
     *            the fremdWaehrungsBetrag to set
     */
    public void setFremdWaehrungsBetrag(final BigDecimal fremdWaehrungsBetrag) {

        this.fremdWaehrungsBetrag = fremdWaehrungsBetrag;
    }

    /**
     * @param kaufDatum
     *            the kaufDatum to set
     */
    public void setKaufDatum(final Date kaufDatum) {

        this.kaufDatum = kaufDatum;
    }

    /**
     * @param kurs
     *            the kurs to set
     */
    public void setKurs(final BigDecimal kurs) {

        this.kurs = kurs;
    }

    /**
     * @param zwischenSaldo
     *            the saldo to set
     */
    public void setSaldo(final BigDecimal zwischenSaldo) {

        this.saldo = zwischenSaldo;
    }

    /**
     * @param zweck
     *            the zweck to set
     */
    public void setZweck(final String zweck) {

        this.zweck = zweck;
    }
}
