/*******************************************************************************
 * Copyright 2015 - 2018 fmCreation
 *
 * Licensed under the EUPL, Version 1.1 or - as soon they
 * will be approved by the European Commission - subsequent
 * versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the
 * Licence.
 * You may obtain a copy of the Licence at:
 *
 *    https://progs.frankmuenster.de/eupl_v1-2_en/
 *
 * Unless required by applicable law or agreed to in
 * writing, software distributed under the Licence is
 * distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
 * express or implied.
 * See the Licence for the specific language governing
 * permissions and limitations under the Licence.
 ******************************************************************************/

package de.frankmuenster.hibiscus.mahoe.santander;

import de.frankmuenster.hibiscus.mahoe.utils.BankToAdd;

/**
 * Santander Bank
 *
 * @author Frank Mnster
 */
@BankToAdd(blz = SantanderBank.BLZ, name = SantanderBank.NAME)
public final class SantanderBank {

    /**
     * Santander BIC
     */
    public static final String BIC = "CCBADE31"; //$NON-NLS-1$

    /**
     * Santander Consumer BLZ
     */
    public static final String BLZ = "31010833"; //$NON-NLS-1$

    /**
     * Santander Name
     */
    public static final String NAME = "Santander Bank"; //$NON-NLS-1$

    /**
     * Version der META Daten der Girokonten
     */
    public static final String KTO_VER_GIRO = "1"; //$NON-NLS-1$

    /**
     * Version der META Daten der Kreditkarten-Konten <br/>
     * Seit Mahoe-Version 1.3.4
     */
    public static final String KTO_VER_KREDIT = "3"; //$NON-NLS-1$

    /**
     * Standardkonstruktor
     */
    private SantanderBank() {
	super();
    }
}
